OpenVDB: LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueIterator Class Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueIterator Class Reference

Visits all values in a leaf node, i.e. both active and inactive values. More...

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions
__hostdev__ | ValueIterator ()
__hostdev__ | ValueIterator (const LeafNode *parent)
ValueIterator & | operator= (const ValueIterator &)=default
__hostdev__ ValueType | operator* () const
__hostdev__ CoordT | getCoord () const
__hostdev__ bool | isActive () const
__hostdev__ | operator bool () const
__hostdev__ ValueIterator & | operator++ ()
__hostdev__ ValueIterator | operator++ (int)

## Detailed Description

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>
class nanovdb::LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueIterator

Visits all values in a leaf node, i.e. both active and inactive values.

## Constructor & Destructor Documentation

## ◆ ValueIterator() [1/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueIterator | ( |  | ) |
| inline

## ◆ ValueIterator() [2/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueIterator | ( | const LeafNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ CoordT getCoord | ( |  | ) | const
| inline

## ◆ isActive()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ bool isActive | ( |  | ) | const
| inline

## ◆ operator bool()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueType operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueIterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueIterator operator++ | ( | int |  | ) |
| inline

## ◆ operator=()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueIterator & operator= | ( | const ValueIterator & |  | ) |
| default